Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 800899 - games-fps/quakeforge-0.7.2_p20210601 - joy.c:(.text+<snip>): undefined reference to in_amp
Summary: games-fps/quakeforge-0.7.2_p20210601 - joy.c:(.text+<snip>): undefined refere...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
: 843869 (view as bug list)
Depends on:
Blocks: slibtool
  Show dependency tree
 
Reported: 2021-07-06 19:25 UTC by Toralf Förster
Modified: 2022-05-12 12:34 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.29 KB, text/plain)
2021-07-06 19:25 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,381.85 KB, text/plain)
2021-07-06 19:25 UTC, Toralf Förster
Details
environment (environment,90.99 KB, text/plain)
2021-07-06 19:25 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,34.58 KB, application/x-bzip)
2021-07-06 19:25 UTC, Toralf Förster
Details
games-fps:quakeforge-0.7.2_p20210601:20210706-183436.log (games-fps:quakeforge-0.7.2_p20210601:20210706-183436.log,889.06 KB, text/plain)
2021-07-06 19:25 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,32.27 KB, application/x-bzip)
2021-07-06 19:25 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,49.30 KB, application/x-bzip)
2021-07-06 19:25 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-07-06 19:25:21 UTC
rm -f qw/source/libqw_common.a
/usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: libs/video/targets/.libs/libQFjs_la-joy.o: in function `JOY_Move':
joy.c:(.text+0xca): undefined reference to `in_amp'
/usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: joy.c:(.text+0xef): undefined reference to `in_pre_amp'
/usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: joy.c:(.text+0x18d): undefined reference to `viewdelta'
/usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: joy.c:(.text+0x1b8): undefined reference to `viewdelta'
/usr/lib/gcc/x86_64-pc-linux-gnu/11.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: joy.c:(.text+0x23b): undefined reference to `Key_Event'

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no_multilib-j3-20210630-090945

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.9.6
Available Rust versions:
  [1]   rust-bin-1.53.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4
  [1]   php7.3
  [2]   php7.4
  [3]   php8.0 *
  HEAD of ::gentoo
commit fd21ef11dcc539589c015d31ad2125155f82251e
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Tue Jul 6 18:06:33 2021 +0000

    2021-07-06 18:06:29 UTC

emerge -qpvO games-fps/quakeforge
[ebuild  N    ] games-fps/quakeforge-0.7.2_p20210601  USE="client ipv6 ncurses wildmidi zlib -alsa -custom-cflags -debug -doc -flac -jack -oss -png -sdl -vorbis"
Comment 1 Toralf Förster gentoo-dev 2021-07-06 19:25:22 UTC
Created attachment 722422 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-07-06 19:25:24 UTC
Created attachment 722425 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-07-06 19:25:26 UTC
Created attachment 722428 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-07-06 19:25:27 UTC
Created attachment 722431 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-07-06 19:25:29 UTC
Created attachment 722434 [details]
games-fps:quakeforge-0.7.2_p20210601:20210706-183436.log
Comment 6 Toralf Förster gentoo-dev 2021-07-06 19:25:31 UTC
Created attachment 722437 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-07-06 19:25:32 UTC
Created attachment 722440 [details]
temp.tar.bz2
Comment 8 Larry the Git Cow gentoo-dev 2022-05-07 20:22:16 UTC Comment hidden (obsolete)
Comment 9 orbea 2022-05-07 20:24:35 UTC
Wrong issue closed it seems and I just happened to look at this now, its not trivial to fix. Lot of missing internal dependencies that need to be resolved.
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-05-07 20:26:44 UTC
(In reply to orbea from comment #9)
> Wrong issue closed it seems and I just happened to look at this now, its not
> trivial to fix. Lot of missing internal dependencies that need to be
> resolved.

yes, oops!
Comment 11 Ionen Wolkens gentoo-dev 2022-05-12 12:34:00 UTC
*** Bug 843869 has been marked as a duplicate of this bug. ***